module AlexaToolbox
  # Handles the audioplayer object in requests.
  class AudioPlayer
    attr_reader :type, :offset_in_milliseconds, :token, :current_playback_state, :error, :json

    def initialize (audioplayer)
      @type = audioplayer.key?(:type) ? audioplayer[:type][12..-1] : ""
      @offset_in_milliseconds = audioplayer.key?(:offsetInMilliseconds) ? audioplayer[:offsetInMilliseconds] : nil
      @token = audioplayer.key?(:token) ? audioplayer[:token] : ""
      @current_playback_state = audioplayer.key?(:currentPlaybackState) ? audioplayer[:currentPlaybackState] : nil
      @json = audioplayer
    end

  end
end
